MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027191Community[OCCT] OCCT:Documentationpublic2016-02-19 14:152020-10-03 14:40
Reporterjma 
Assigned Toabv 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0027191: Documentation - redesign of information architecture
DescriptionThe attached OCCT_user_experience.pdf doc is an overview of current state of OCCT documentation. It highlights the articles drawbacks and information organization weaknesses.

In scope of this issue it is proposed to redesign the documentation structure ruling by the ideas from the mentioned pdf. The draft skeleton is in OCCT_documentation_redesign.xlsx.

Besides the redesign itself, the found text misprints/rudiments and obsolete/not-full instructions will be corrected.
Steps To Reproducegenproj.bat -overview
Additional information
and documentation updates
Vera: received feedback, changed the structure accordingly, provided Vladislav with new documentation structure ("dox" folder with .md files).

Vladislav:
1) To create a branch from master.

Branch name CR27191_1

2) To add changes to git.
TagsNo tags attached.
Test case numberNot required
Attached Filespdf file icon OCCT_user_experience.pdf (783,890 bytes) 2016-02-19 14:15
xlsx file icon OCCT_documentation_redesign.xlsx (14,736 bytes) 2016-02-19 14:15
pdf file icon Documentation Project.pdf (278,844 bytes) 2020-08-31 12:09

- Relationships
parent of 0031732assignedVera Sdobnova Open CASCADE Documentation - move Tutorials and Samples into dedicated section 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0055888)
git (administrator)
2016-07-13 17:26

Branch CR27191 has been created by jma.

SHA-1: 051da04dbe916e66a3a914410f7b1c9014c564a4


Detailed log of new commits:

Author: jma
Date: Wed Jul 13 16:53:41 2016 +0300

    0027191: Redesign of information architecture
    
    The documentation architecture was totally redesigned to provide more logical and clear from user's point of view structure. Its current state reflects the general workflow steps using OCCT, what, in its turn, simplifies the process of searching of required info.
    
    Some hige articles were splitted into set of logically independent and comprehensive articles. There was simplification of 'sections' hierarchy too.
    
    Some modifications of articles text were done to eliminate obsolete or redundant info, correct misprints, improve readability and formatting.
    
    Table of content control was significantly improved for better navigation within articles.
(0055913)
abv (manager)
2016-07-14 16:28
edited on: 2016-07-14 16:31

The changes look find in general and the proposed new structure looks quite logical. Still I have a few remarks after first look:

1. On Overview page, please recover licensing information:

a. Reference to LGPL should be a link (the same for exception), and it should lead to document which is part of the same documentation (not link to external web site)

b. Text "See the license text for formal disclaimer." should be put after disclaimer ("...provided on an "AS IS" basis...").

c. It is good point to keep the License as top-level item: for people considering use of a product in serious application this is one of the first things to be checked, thus it should be quite visible.

2. As for me, reversing the order of items in Upgrade guide is poor idea. When a person needs to upgrade his application, he most likely will start not from the last-but-one version, but several versions back. The logical procedure for upgrade is to apply changes in historical order, and not starting from the latest (which may refer to some previous changes). Hence, I believe it will be quite difficult to apply, please consider rolling back.

3. Tutorial can be better separated from samples: these are two different things. Currently Tutorial looks like buried inside the list of samples, and it may be difficult to recognize its existence. I would keep Tutorial as separate top-level item.

(0055932)
kgv (developer)
2016-07-15 11:27

> Build and Upgrade
>  -> Build OCCT
>    -> Cross-Platform Compiling using CMake Tool

This article (originally "Building with CMake for Android") is dedicated for building OCCT for Android (as target) platform.
However, the target platform has been lost from title.

This also means that section Linux
Linux

You may choose one of the following ways to generate, configure and build OCCT sources on Linux just 
keeping in mind this platform specific:

    Configuration, generation and building OCCT on Windows using CMake tool
    Cross-Platform Compiling using CMake Tool

points to the wrong location.

> Build and Upgrade
>  -> Build OCCT
>    -> Cross-Platform Compiling using Code::Blocks

Using "cross-platform" is confusing in title.
"Cross-compiling" term is usually used when Target and Host platforms are different (e.g. when compiling for Android on Windows/Linux using Android NDK, or compiling for Windows on Linux using MinGW).
Related article (originally "Building with Code::Blocks") describes Code::Blocks project files generation intended for building OCCT on the same platform (Windows, Linux, OS X), thus unrelated to "cross-compiling".

> Build and Upgrade
>  -> Upgrade from Older OCCT Versions
>    -> Upgrade to OCCT 7.0.0

Subsections are no more listed in the document structure.
In such big change-log as for OCCT 7.0.0 release, user might be interesting in particular section, but now he have to scroll all changes to find out what is really important for his application.

> Debugging
>  -> Implementation Details: Boolean Operations 

It looks like this chapter has been included into Debugging section by mistake.
(0055936)
jma (developer)
2016-07-15 13:33

@abv

"1. On Overview page, please recover licensing information:"
It seems like that it is not debatable remark and license info must be restored. Nevertheless, imho the official web-site is right place for such "political" things, not technical documentation. Serious guys with serious projects contact to web-resources and contact representatives at first, again -- not to tech documentation.

Each new top-level item scatters the documentation structure and makes the search process harder.


2. As for me, reversing the order of items in Upgrade guide is poor idea.

Yeap, agree, not the best idea.


3. Tutorial can be better separated from samples: these are two different things. Currently Tutorial looks like buried inside the list of samples, and it may be difficult to recognize its existence. I would keep Tutorial as separate top-level item.

I believe that the person looking for the code snippets go straight to Samples section. However, I agree that application-formed "tutorials" and step-by-step tutorials and draw based samples are different things and perhaps, it makes sense to rename section to "Samples and Tutorials" and/or move app-formed samples to a separate item to clarify structure. Keeping Tuto as a separate top-level item is not good idea as it breaks documentation structure without tangible reason. Following this idea, OCAF related samples should be formed as top-level items.
(0055937)
jma (developer)
2016-07-15 13:46

@kgv

-> This article (originally "Building with CMake for Android") is dedicated for building OCCT for Android (as target) platform.
However, the target platform has been lost from title.

Following to the article content this approach is Ok for Win/Linux as well just keeping in mind some platform-specific moments. To not confuse the users and hint them about more existent options "Android" word was removed from the title.

-> Using "cross-platform" is confusing in title.

Yeah, mistake occurs....I'll correct

-> Subsections are no more listed in the document structure.

From my point of view upgrading procedure requires step-by-step following to instructions. That is why, subsections are excess here.

-> It looks like this chapter has been included into Debugging section by mistake.

Nope, it was intention. This section is for whose who is going to debug OCCT -- helpful hints and implementation details to describe architecture/conventions/terminology/etc.
(0055938)
abv (manager)
2016-07-15 13:57

-> From my point of view upgrading procedure requires step-by-step following to instructions.

That is not correct; in practice the user shall be able to parse the document to find easily the points relevant for him. TOC is always useful as it provides top-level view on the subject.
(0055939)
jma (developer)
2016-07-15 14:21

Definitely, however in the current case the relevant points are already reflected by TOC -- source and target OCCT versions. Providing him by subsections on each step means to overload TOC.
(0055940)
abv (manager)
2016-07-15 14:29

Subsections provide list of topics in particular section. It is extremely useful to have it, as it provides idea of what kind of changes are made in given version. Consider that not every one who reads that guide has a task of upgrading existing code and needs to go in depth of all the points, it can be also a person who just needs to get rough idea on what happened.
(0055941)
jma (developer)
2016-07-15 14:35

For that it makes sense to add 'Release Notes' section as Upgrade instructions do not give the whole overview the changes done.


The dispute about having/not having subsections and in what cases can be endless. Regarding 'Upgrade' section it is not critical for me to have subsections.
(0055942)
kgv (developer)
2016-07-15 14:39
edited on: 2016-07-15 14:41

> Following to the article content this approach is Ok for Win/Linux as well just keeping in mind some platform-specific moments.
> To not confuse the users and hint them about more existent options "Android" word was removed from the title.
This article has been _specifically designed_ to point out how OCCT can be built for Android platform.
Since this procedure relies on non-standard CMake toolchain extension it can not be used for any other means.
For building OCCT on standard platforms there is dedicated description.

User would look for "Android" (or "mobile platforms", but we don't have here description for iOS yet) - more specific case, not general "cross-compiling" (which not every developer understands).

> Nope, it was intention. This section is for whose who is going to debug OCCT -- helpful hints and implementation details to describe architecture/conventions/terminology/etc.
From my point of view this article is unrelated to debugging - it is a general overview of Boolean operations with a lot of details.
Understanding the things is good for debugging, but I doubt that debugging is the only purpose for this tremendous article.

(0055943)
jma (developer)
2016-07-15 14:48

-> User would look for "Android" (or "mobile platforms", but we don't have here description for iOS yet) - more specific case, not general "cross-compiling" (which not every developer understands).

Exactly! The user does not llok for how to compile OCCT by specific tool, but target platform. That is why the prev naming is not Ok. How do you like to name it just "Android"?
(0055944)
kgv (developer)
2016-07-15 14:50
edited on: 2016-07-15 14:50

> Regarding 'Upgrade' section it is not critical for me to have subsections.
As a visualization expert, I'm specifically interested in porting changes related to this specific domain.

When I'm porting application to new version from quite old one, I would like to see the actual problems in the document structure - thus removed entities are MORE important for me then OCCT versions.

Of course, common user might follow entire document from version to version, but this does not cover all scenarios.
The change makes also impossible referring to specific sections in communication channels due to missing "anchors".

(0055945)
kgv (developer)
2016-07-15 14:53

> How do you like to name it just "Android"?
Taking into account that other chapters are called "Windows", "Linux" and "Mac OS X" - the "Android" sounds consistent in this list.
(0055946)
jma (developer)
2016-07-15 15:00

-> Of course, common user might follow entire document from version to version, but this does not cover all scenarios.

Trying to cover all scenarios very often lead to mess into interaction. But again, here is not a case, let's move them back.

-> The change makes also impossible referring to specific sections in communication channels due to missing "anchors".

To anchor you are free to use \anchor keyword, it is more suitable for that than (sub)sections.


(0055947)
abv (manager)
2016-07-15 15:13

On license: it must be included with the product unconditionally, otherwise the package is incomplete. Reference to license published on web site may not be appropriate, as it may change or disappear at any moment. For instance, OCCT 6.5.0 has OCCT PL license, while current OCCT versions have LGPL.

On tutorial: I believe it is more useful than all samples (which are of poor quality now), hence deserves to be on the same level at least.
(0055948)
jma (developer)
2016-07-15 15:25

How can we keep the logical doc structure if we place items by "quality" criteria...
(0055957)
ssv (developer)
2016-07-15 16:00

Why not invite the community to this discussion? They use this documentation and they need it more than us for sure. My personal opinion is that

a) the article on Booleans is USELESS for everybody except few folks here. Has anybody ever tried to read it?

b) playing with samples (whatever quality they are) is much more fun and interesting that reading some tutorial on modeling. Most of the people want to see what OpenCascade can do before their start doing something by hands. Many of those who will start will never do any modeling, and this tutorial is, again, useless for them. Especially, since we have all this in Draw as Tcl scripts.

c) It is a common practice (e.g. see PCL lib) to collect many tutorials together. Today we have only one, but we can foresee that others will appear in future. And we can encourage community to write some (again, example of PCL proves that it works).
(0058398)
git (administrator)
2016-10-04 15:02

Branch CR27191 has been updated forcibly by jma.

SHA-1: 1438a1fb3513b8cecfde3541143e3044d17fba19
(0058400)
jma (developer)
2016-10-04 15:31

The following remarks were taken into account:

from abv:

"1. On Overview page, please recover licensing information:"
"2. As for me, reversing the order of items in Upgrade guide is poor idea."

from kgv:

"Subsections are no more listed in the document structure."
"Cross-Platform Compiling using Code::Blocks is confusing in title."
"This article ... is dedicated for building OCCT for Android..."
(0059237)
git (administrator)
2016-10-27 11:36

Branch CR27191 has been updated by jma.

SHA-1: e4f54960657343bad2412c83406f02e0d356dec2


Detailed log of new commits:

Author: jma
Date: Thu Oct 27 11:35:20 2016 +0300

    eliminate numbering in files headers

(0059286)
abv (manager)
2016-10-27 17:11

Please rebase on current master -- there are conflicts in renamed files
(0059904)
git (administrator)
2016-11-05 17:09

Branch CR27191 has been updated forcibly by jma.

SHA-1: f6ca21b7d553043d9909feb1c013f5269f82f779
(0059905)
jma (developer)
2016-11-05 17:18

Seems to be successfully rebased ... but I'm not sure because of git's "friendliness".

If any troubles please reassign back to me.
(0060652)
abv (manager)
2016-11-22 10:03

I had problems rebasing this commit on corresponding master (conflicts) + multiple Doxygen errors and warnings. Since a number of other changes in files renamed in this patch are coming to version 7.1.0, this patch is shifted to 7.2.0 to avoid need of manual merging each of these changes.

In addition, separation of user guides into parts breaks current practice of generating one PDF per user guide. This has to be discussed.

The structure of documentation is to be revised; for instance, having description of BOP algorithms in section "Debugging" is completely unnatural.
(0094917)
git (administrator)
2020-09-16 15:06

Branch CR27191_1 has been created by vsyrchin.

SHA-1: 88610dfc0e8edbb0b8b436ddaa21fab8477d945e


No new revisions were added by this update.
(0094926)
git (administrator)
2020-09-16 15:39

Branch CR27191_1 has been updated by vsyrchin.

SHA-1: 51f5a809dc3fef02742e3a75eae0e7ba56e2d8c5


Detailed log of new commits:

Author: Vladislav SYRCHIN
Date: Wed Sep 16 15:41:41 2020 +0300

    Redesign of information architecture OCCT documentation

(0094927)
git (administrator)
2020-09-16 16:29

Branch CR27191_1 has been deleted by inv.

SHA-1: 51f5a809dc3fef02742e3a75eae0e7ba56e2d8c5
(0094930)
bugmaster (administrator)
2020-09-16 17:04

http://occt-tests/occt-documentation/html/index.html [^]

Please review
(0094931)
kgv (developer)
2020-09-16 17:10

> Branch CR27191_1 has been deleted by inv.
Was deletion of the branch intentional?

The patch was broken before deletion - it overwritten actual state of master branch (being on top of master) and provided some older state of documentation.
(0094935)
git (administrator)
2020-09-16 18:11

Branch CR27191_1 has been created by inv.

SHA-1: 5a48f470e407b969edc38358b25d42b6ad7fce40


Detailed log of new commits:

Author: bugmaster
Date: Wed Sep 16 16:37:19 2020 +0300

    0027191: Documentation - redesign of information architecture
(0095317)
git (administrator)
2020-09-25 13:39

Branch CR27191_2 has been created by inv.

SHA-1: 4762b45d14fea1a99fe2e979ea6b5eb4a9100ead


Detailed log of new commits:

Author: bugmaster
Date: Fri Sep 25 13:41:52 2020 +0300

    Update of contents
(0095329)
kgv (developer)
2020-09-25 16:03
edited on: 2020-09-25 17:19

Patch in the current state is completely not reviewable: file structure changes, files movements, content changes, image updates, minor amendments and global text movements are all mixed in a one large diff with git commit not describing any detail of changes.

It is necessary splitting patch into small chunks, with each providing meaningful description of changes:
- Per-document updates (new images, moved sections, new sections).
  * These changes are better to be moved into dedicated patch per OCCT module or per-document, with an option to review these modifications locally by maintainers of specific domain.
- Splitting documents.
- Merging documents.
- Global changes of documentation structure.
  * Ideally, this should be also split into several meaningful steps.
- Introduction of new documents.

Each step could be independently reviewed and integrated step-by-step (as dedicated child issues) rather than everything put in one lap.

I don't understand (and disagree) why VTK Integration Services has been suddenly moved to Visualization guide or Inspector moved to Draw Harness guide.

(0095456)
git (administrator)
2020-09-29 11:13

Branch CR27191_3 has been created by inv.

SHA-1: 54c79624bdd1b6e63d2fd325cde41e8bc3a5b905


Detailed log of new commits:

Author: bugmaster
Date: Tue Sep 29 11:13:29 2020 +0300

    0027191: Documentation - redesign of information architecture
    
    Changes:
    - Samples (from Overview) and Tutorial are moved into new section Tutorials and Samples.
    - Technical Overview became a part of Introduction - OCCT Overview.
    - Content of Getting Started section (Draw Test Harness and Experimenting with Draw Test Harness) is moved into Tutorial and Samples section.
    - New section Build, Debug and Upgrade is created. It includes Building OCCT from sources, Debugging tools and hints and Upgrade from older OCCT versions from Developer Guides section.
    - New section Contribution is created. It includes Contribution Workflow, Guide to installing and using Git for OCCT development, Coding Rules, Automated Testing System, and Documentation System from Developer Guides section.
(0095457)
git (administrator)
2020-09-29 11:17

Branch CR27191_2 has been updated by inv.

SHA-1: 289e660b9c95c0c31b55c73cc345ceadc9a8faf3


Detailed log of new commits:

Author: bugmaster
Date: Tue Sep 29 11:13:29 2020 +0300

    0027191: Documentation - redesign of information architecture
    
    Changes:
    - Samples (from Overview) and Tutorial are moved into new section Tutorials and Samples.
    - Technical Overview became a part of Introduction - OCCT Overview.
    - Content of Getting Started section (Draw Test Harness and Experimenting with Draw Test Harness) is moved into Tutorial and Samples section.
    - New section Build, Debug and Upgrade is created. It includes Building OCCT from sources, Debugging tools and hints and Upgrade from older OCCT versions from Developer Guides section.
    - New section Contribution is created. It includes Contribution Workflow, Guide to installing and using Git for OCCT development, Coding Rules, Automated Testing System,
      and Documentation System from Developer Guides section.
(0095458)
git (administrator)
2020-09-29 11:18

Branch CR27191_3 has been updated forcibly by inv.

SHA-1: 289e660b9c95c0c31b55c73cc345ceadc9a8faf3
(0095471)
kgv (developer)
2020-09-29 16:59

-https://dev.opencascade.org/resources/download/3rd-party-components. [^]
+https://opencascade.com/content/3rd-party-components. [^]

It's not a good time a good place to update external links in scope of this bug.
(0095518)
git (administrator)
2020-10-01 12:17

Branch CR27191_4 has been created by inv.

SHA-1: de3dd5ffc1c116e2e3364441167feba0eb78bcc2


Detailed log of new commits:

Author: bugmaster
Date: Thu Oct 1 12:10:39 2020 +0300

    2020.10.01
    1) Copyrights, Trademark and License sections in Introduction are grouped and renamed as "License"
    2) Data Exchange section in User Guides is deleted. IGES Support, STEP Processor and XDE became independent sections in User Guides
    3) Debug and Upgrade sections are moved into dox
    4) Overview folder is renamed to Introduction, overview.md is renamed to introduction.md
    4) Delabella description is added into Introduction - Acknowledgments.
    5) Sections and subsections in Brep format are corrected.
(0095533)
git (administrator)
2020-10-01 16:00

Branch CR27191_5 has been created by abv.

SHA-1: aa5492462a310a36ed9eb6ebb4177708bd3b9db9


Detailed log of new commits:

Author: abv
Date: Thu Oct 1 15:58:42 2020 +0300

    Reorganize file lists

Author: abv
Date: Thu Oct 1 15:34:55 2020 +0300

    Revision of User Guides
    
(0095534)
git (administrator)
2020-10-01 16:21

Branch CR27191_5 has been updated forcibly by abv.

SHA-1: 282961ed2018062abc87e13554ac4b2296c43413
(0095536)
git (administrator)
2020-10-01 16:57

Branch CR27191_5 has been updated forcibly by abv.

SHA-1: 7f419bd58b7586c0b2474e8134e0076888a435b6
(0095537)
abv (manager)
2020-10-01 16:57

Colleagues, branch CR27191_5 contains cleared version of what has been done so far on this issue (archive prepared this morning by Vera), split into several commits representing logical steps of the process.

Kirill, please have a look on this (especially "Build OCCT" and "Build 3rd-parties" -- I have not checked these sections). I also did not review Samples.

I suppose that Alexander has checked changes in Modeling Data and Algorithms documents.

I dislike idea of merging two large User Guide: Shape Healing and Modeling Algorithms into one. This looks especially strange because at the same time we separated Mesh UG from it, while BRepMesh is equally part of Modeling Algorithms (much smaller than Shape Healing). If Shape Healing is kept as part of MOA UG, we shall reconsider Doxygen tags used in it (now they start with "occt_shg" and do not follow common pattern (have the same prefix as the document).

Perhaps larger part of the Mesh UG shall be moved to Specifications, as it merely describes its implementation and not usage.

As for me, this development can be integrated in this state, provided that above point is checked and agreed.

However, several other points are to be considered afterwards:

1. Within Introduction, section "Installation on Windows" should be generalized to describe also installation on Linux (from standard packages) and macOS (using Homebrew)

2. Description of new Qt samples that is being deveoped within 0031570 shall be included into relevant branch (I have removed it from the documentation in CR27191_5)

4. Document sppecification/pbr_math.md need to be updated to use Doxygen commands for headings (@section, @subsection etc.) instead of MarkDown ones (#, ## etc.) to get TOC properly generated
(0095540)
kgv (developer)
2020-10-01 18:06

Please
- fix 2 lost items in upgrade guide;
- move Linux/Windows/Mac to Acknowledgments section;
- fix lost changes in pbr_math.md;
- add bug prefix to commits.
(0095541)
git (administrator)
2020-10-01 18:53

Branch CR27191_6 has been created by abv.

SHA-1: f925fd7870a686a29dc289c05f540ef2d3d79370


Detailed log of new commits:

Author: Vera Sdobnova
Date: Thu Oct 1 15:34:55 2020 +0300

    0027191: Documentation - redesign of information architecture -- revision (user guides)
    
    Revision of User Guides
    
(0095542)
abv (manager)
2020-10-01 19:03

Remarks are corrected in branch CR27191_6
(0095552)
git (administrator)
2020-10-02 10:26

Branch CR27191_6 has been updated by kgv.

SHA-1: 9346eba4925e18382fbe04d6c79610b8e44a9187


Detailed log of new commits:

Author: kgv
Date: Fri Oct 2 10:29:55 2020 +0300

    0031645: Documentation - provide external article references to PBR developer guide - fix reference links

(0095557)
git (administrator)
2020-10-02 10:58

Branch CR27191_6 has been updated forcibly by kgv.

SHA-1: 279b54d76970a4ae2e3ac69216d2b0e36aac7f9a
(0095565)
git (administrator)
2020-10-02 11:48

Branch CR27191_6 has been updated forcibly by kgv.

SHA-1: 089a637dd65d1a9079b23cd471ce91da43955328
(0095566)
git (administrator)
2020-10-02 11:49

Branch CR27191_6 has been updated forcibly by kgv.

SHA-1: cde4e0be74a3e5966c824d428e2d701f87271507
(0095567)
git (administrator)
2020-10-02 11:56

Branch CR27191_7 has been created by inv.

SHA-1: a63843727b5cf98d84b942e41fcb481b87cea345


Detailed log of new commits:

Author: bugmaster
Date: Fri Oct 2 11:56:19 2020 +0300

    * 0027191: Documentation - redesign of information architecture -- corrections of remarks
    
    - Sections Contribution and Specifications are swept around
    - Mesh images are moved into mesh folder
    - Git guide image width is changed

Author: Vera Sdobnova
Date: Thu Oct 1 15:34:55 2020 +0300

    0027191: Documentation - redesign of information architecture -- revision (user guides)
    
    Revision of User Guides
    
(0095570)
git (administrator)
2020-10-02 12:27

Branch CR27191_7 has been updated by kgv.

SHA-1: a5586a7a2d8ef53429916830e3b5434f5f3d8dbc


Detailed log of new commits:

Author: kgv
Date: Fri Oct 2 10:29:55 2020 +0300

    0031645: Documentation - provide external article references to PBR developer guide - fix reference links

(0095585)
git (administrator)
2020-10-02 15:54

Branch CR27191_7 has been updated forcibly by inv.

SHA-1: 6a4c5ba5edc5785ccbd2cf9a858a5dcb1137f48d
(0095589)
git (administrator)
2020-10-02 16:02

Branch CR27191_7 has been updated by kgv.

SHA-1: 5e79134275b794a02bf6fd0b41bfd57c954cee0b


Detailed log of new commits:

Author: kgv
Date: Fri Oct 2 10:29:55 2020 +0300

    0031645: Documentation - provide external article references to PBR developer guide - fix reference links

(0095603)
abv (manager)
2020-10-02 20:26

Reviewed, please integrate branch CR0-WEEK-40
(0095606)
git (administrator)
2020-10-02 22:44

Branch CR27191_5 has been deleted by abv.

SHA-1: 7f419bd58b7586c0b2474e8134e0076888a435b6
(0095607)
git (administrator)
2020-10-02 22:44

Branch CR27191_6 has been deleted by abv.

SHA-1: cde4e0be74a3e5966c824d428e2d701f87271507
(0095636)
bugmaster (administrator)
2020-10-03 14:04

Combination -
OCCT branch : IR-2020-10-02
master SHA - 6522304c17181a09fa831c040219d611dc44b94a
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-02 SHA - d9c364e1137eed3249e5a05befa860c708f243c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18085.050000000083 / 18057.60000000009 [+0.15%]
Products
Total CPU difference: 12174.620000000117 / 12124.200000000114 [+0.42%]
Windows-64-VC14:
OCCT
Total CPU difference: 19713.125 / 19772.65625 [-0.30%]
Products
Total CPU difference: 13533.8125 / 13527.921875 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0095644)
git (administrator)
2020-10-03 14:38

Branch CR27191_7 has been deleted by inv.

SHA-1: 5e79134275b794a02bf6fd0b41bfd57c954cee0b
(0095650)
git (administrator)
2020-10-03 14:38

Branch CR27191_4 has been deleted by inv.

SHA-1: de3dd5ffc1c116e2e3364441167feba0eb78bcc2
(0095653)
git (administrator)
2020-10-03 14:38

Branch CR27191_2 has been deleted by inv.

SHA-1: 289e660b9c95c0c31b55c73cc345ceadc9a8faf3
(0095654)
git (administrator)
2020-10-03 14:38

Branch CR27191_3 has been deleted by inv.

SHA-1: 289e660b9c95c0c31b55c73cc345ceadc9a8faf3
(0095669)
git (administrator)
2020-10-03 14:39

Branch CR27191_1 has been deleted by inv.

SHA-1: 5a48f470e407b969edc38358b25d42b6ad7fce40
(0095684)
git (administrator)
2020-10-03 14:40

Branch CR27191 has been deleted by inv.

SHA-1: f6ca21b7d553043d9909feb1c013f5269f82f779

- Related Changesets
occt: master 5dab9b57
Timestamp: 2020-10-01 10:34:57
Author: abv
Committer: abv
Details ] Diff ]
0027191: Documentation - redesign of information architecture -- renaming (2)

Move debug and upgrade user guides to corresponding folders on upper level

Related: remove "debug" pattern from .gitignore to avoid ignoring relevant folder in dox
mod - .gitignore Diff ] File ]
mod - dox/FILES_HTML.txt Diff ] File ]
mod - dox/FILES_PDF.txt Diff ] File ]
occt: master 2d863ff7
Timestamp: 2020-10-01 10:52:22
Author: abv
Committer: abv
Details ] Diff ]
0027191: Documentation - redesign of information architecture -- renaming (1)

Move / rename overview to introduction
mod - dox/FILES_HTML.txt Diff ] File ]
occt: master 825c3a4a
Timestamp: 2020-10-01 11:18:48
Author: abv
Committer: abv
Details ] Diff ]
0027191: Documentation - redesign of information architecture -- renaming (3)

Move guides on documentation, tests, coding rules, contribution workflow to dox/contribution
mod - dox/FILES_HTML.txt Diff ] File ]
mod - dox/FILES_PDF.txt Diff ] File ]
occt: master 6b6d06fa
Timestamp: 2020-10-01 11:27:14
Author: abv
Committer: abv
Details ] Diff ]
0027191: Documentation - redesign of information architecture -- renaming (4)

Move documents describing BREP format, Boolean operations, and PBR math to dox/specification
mod - dox/contribution/contribution.md Diff ] File ]
mod - dox/FILES_HTML.txt Diff ] File ]
mod - dox/FILES_PDF.txt Diff ] File ]
add - dox/specification/specification.md Diff ] File ]
mod - dox/upgrade/upgrade.md Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - dox/user_guides/modeling_algos/modeling_algos.md Diff ] File ]
mod - dox/user_guides/modeling_data/modeling_data.md Diff ] File ]
mod - dox/user_guides/user_guides.md Diff ] File ]
occt: master 06ce029f
Timestamp: 2020-10-01 11:54:01
Author: abv
Committer: abv
Details ] Diff ]
0027191: Documentation - redesign of information architecture -- revision (build)

Revised documentation of building OCCT and third-parties; some related tags updated
add - dox/build/build_3rdparty/building_3rdparty.md Diff ] File ]
add - dox/build/build_3rdparty/images/genconf_linux.png Diff ] File ]
add - dox/build/build_3rdparty/images/genconf_windows.png Diff ] File ]
add - dox/build/build_documentation/building_documentation.md Diff ] File ]
add - dox/build/build_occt/building_occt.md Diff ] File ]
add - dox/build/build_occt/images/android_image001.png Diff ] File ]
add - dox/build/build_occt/images/android_image002.png Diff ] File ]
add - dox/build/build_occt/images/android_image003.png Diff ] File ]
add - dox/build/build_occt/images/android_image004.png Diff ] File ]
add - dox/build/build_occt/images/android_image005.png Diff ] File ]
add - dox/build/build_occt/images/android_image006.png Diff ] File ]
add - dox/build/build_occt/images/genconf_linux.png Diff ] File ]
add - dox/build/build_occt/images/genconf_windows.png Diff ] File ]
add - dox/build/build_upgrade.md Diff ] File ]
mod - dox/contribution/contribution.md Diff ] File ]
mod - dox/contribution/contribution_workflow/contribution_workflow.md Diff ] File ]
mod - dox/contribution/documentation/documentation.md Diff ] File ]
mod - dox/contribution/git_guide/git_guide.md Diff ] File ]
mod - dox/debug/debug.md Diff ] File ]
rm - dox/dev_guides/building/3rdparty/3rdparty_linux.md Diff ] File ]
rm - dox/dev_guides/building/3rdparty/3rdparty_osx.md Diff ] File ]
rm - dox/dev_guides/building/3rdparty/3rdparty_windows.md Diff ] File ]
rm - dox/dev_guides/building/3rdparty/images/genconf_linux.png Diff ] File ]
rm - dox/dev_guides/building/3rdparty/images/genconf_windows.png Diff ] File ]
rm - dox/dev_guides/building/android/android.md Diff ] File ]
rm - dox/dev_guides/building/android/images/android_image001.png Diff ] File ]
rm - dox/dev_guides/building/android/images/android_image002.png Diff ] File ]
rm - dox/dev_guides/building/android/images/android_image003.png Diff ] File ]
rm - dox/dev_guides/building/android/images/android_image004.png Diff ] File ]
rm - dox/dev_guides/building/android/images/android_image005.png Diff ] File ]
rm - dox/dev_guides/building/android/images/android_image006.png Diff ] File ]
rm - dox/dev_guides/building/building.md Diff ] File ]
rm - dox/dev_guides/building/cmake/cmake.md Diff ] File ]
rm - dox/dev_guides/building/code_blocks.md Diff ] File ]
rm - dox/dev_guides/building/msvc.md Diff ] File ]
rm - dox/dev_guides/building/xcode.md Diff ] File ]
mod - dox/FILES_HTML.txt Diff ] File ]
mod - dox/introduction/introduction.md Diff ] File ]
mod - dox/upgrade/upgrade.md Diff ] File ]
occt: master 0a6d9742
Timestamp: 2020-10-01 12:18:59
Author: abv
Committer: abv
Details ] Diff ]
0027191: Documentation - redesign of information architecture -- revision (overview and samples)

Revision of Introduction, Overview, Samples, Tutorial

- Technical Overview is incorporated into Introduction
- Samples (from Overview) and Tutorial are moved into new section Tutorials and Samples
- Content of Getting Started section (Draw Test Harness and Experimenting with Draw Test Harness) is moved into Tutorial and Samples section.
- Content changes: links to Open Cascade website promoting paid training and support are deleted.
- Some pictures in User Guides (Foundation Classes, Modeling Data, Modeling Algorithms) and Tutorial are updated to improve quality and correct mistakes.
mod - dox/build/build_occt/building_occt.md Diff ] File ]
mod - dox/contribution/coding_rules.md Diff ] File ]
mod - dox/contribution/contribution.md Diff ] File ]
mod - dox/contribution/contribution_workflow/contribution_workflow.md Diff ] File ]
mod - dox/contribution/documentation/documentation.md Diff ] File ]
mod - dox/contribution/git_guide/git_guide.md Diff ] File ]
mod - dox/contribution/tests/tests.md Diff ] File ]
mod - dox/FILES_HTML.txt Diff ] File ]
mod - dox/introduction/introduction.md Diff ] File ]
mod - dox/resources/occ_logo.png Diff ] File ]
add - dox/samples/draw_scripts.md Diff ] File ]
add - dox/samples/images/overview_overview_qt.png Diff ] File ]
add - dox/samples/images/samples_c__ie.png Diff ] File ]
add - dox/samples/images/samples_draw.png Diff ] File ]
add - dox/samples/images/samples_java_android_occt.jpg Diff ] File ]
add - dox/samples/images/samples_mvc.png Diff ] File ]
add - dox/samples/images/samples_qml_android_occt.jpg Diff ] File ]
add - dox/samples/images/samples_qt.png Diff ] File ]
add - dox/samples/images/sample_ios_uikit.png Diff ] File ]
add - dox/samples/images/sample_webgl.png Diff ] File ]
add - dox/samples/ocaf.md Diff ] File ]
add - dox/samples/ocaf_func.md Diff ] File ]
add - dox/samples/samples.md Diff ] File ]
mod - dox/specification/boolean_operations/boolean_operations.md Diff ] File ]
rm - dox/technical_overview/images/technical_overview_occt_logo.png Diff ] File ]
rm - dox/technical_overview/images/technical_overview_over.png Diff ] File ]
rm - dox/technical_overview/technical_overview.md Diff ] File ]
mod - dox/tutorial/images/tutorial_image004.png Diff ] File ]
mod - dox/tutorial/images/tutorial_image005.png Diff ] File ]
mod - dox/tutorial/images/tutorial_image006.png Diff ] File ]
mod - dox/tutorial/images/tutorial_image011.png Diff ] File ]
mod - dox/tutorial/images/tutorial_image012.png Diff ] File ]
mod - dox/tutorial/images/tutorial_image013.png Diff ] File ]
mod - dox/tutorial/images/tutorial_image014.png Diff ] File ]
mod - dox/tutorial/images/tutorial_image015.png Diff ] File ]
mod - dox/tutorial/images/tutorial_image016.png Diff ] File ]
mod - dox/tutorial/images/tutorial_image017.png Diff ] File ]
mod - dox/tutorial/images/tutorial_image018.png Diff ] File ]
occt: master e6c8fcfe
Timestamp: 2020-10-01 12:34:55
Author: abv
Committer: abv
Details ] Diff ]
0027191: Documentation - redesign of information architecture -- revision (user guides)

Revision of User Guides

- Changes in User Guides Section to correspond with OCCT Overview structure: Mesh became a direct subsection of User Guides (it was a part of Modeling Algorithms).
  TObj is included into OCAF.
- Changes in User Guides – Modeling Algorithms section: Fillets and Chamfers, Offsets, Drafts, Pipes and Evolved shapes, Sewing, Features, 3D Model Defeaturing, 3D Model Periodicity,
  Object Modification are moved into The Topology API section.
- Changes in User Guides – Modeling Data section: Naming shapes, sub-shapes, their orientation and state section is renamed to Shape content. Shape Location is moved into Shape content section.
  Storage of Shapes is moved into BRep Format section of Specification. Lists and Maps of Shapes subsection is moved into Topology - Exploration of Topological Data Structures.
- Some pictures in User Guides (Foundation Classes, Modeling Data, Modeling Algorithms) and Tutorial are updated to improve quality and correct mistakes.
mod - dox/FILES_HTML.txt Diff ] File ]
mod - dox/FILES_PDF.txt Diff ] File ]
mod - dox/introduction/introduction.md Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - dox/user_guides/foundation_classes/foundation_classes.md Diff ] File ]
mod - dox/user_guides/foundation_classes/images/foundation_classes_image004.png Diff ] File ]
mod - dox/user_guides/foundation_classes/images/foundation_classes_image005.png Diff ] File ]
mod - dox/user_guides/foundation_classes/images/foundation_classes_image006.png Diff ] File ]
mod - dox/user_guides/iges/iges.md Diff ] File ]
add - dox/user_guides/mesh/mesh.md Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image003.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image004.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image014.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image015.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image016.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image017.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image021.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image023.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image028.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image030.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image035.png Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image037.gif Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image040.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image041.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image043.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image045.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image047.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image048.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image049.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image051.png Diff ] File ]
mod - dox/user_guides/modeling_algos/images/modeling_algos_image058.png Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_data_image003.png Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_data_image014.png Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_data_image015.png Diff ] File ]
mod - dox/user_guides/modeling_algos/modeling_algos.md Diff ] File ]
mod - dox/user_guides/modeling_data/images/modeling_data_image003.png Diff ] File ]
mod - dox/user_guides/modeling_data/images/modeling_data_image014.png Diff ] File ]
mod - dox/user_guides/modeling_data/images/modeling_data_image015.png Diff ] File ]
mod - dox/user_guides/modeling_data/modeling_data.md Diff ] File ]
mod - dox/user_guides/ocaf/ocaf.md Diff ] File ]
mod - dox/user_guides/step/step.md Diff ] File ]
rm - dox/user_guides/tobj/tobj.md Diff ] File ]
mod - dox/user_guides/user_guides.md Diff ] File ]
mod - dox/user_guides/visualization/visualization.md Diff ] File ]
mod - dox/user_guides/xde/xde.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-19 14:15 jma New Issue
2016-02-19 14:15 jma Assigned To => bugmaster
2016-02-19 14:15 jma File Added: OCCT_user_experience.pdf
2016-02-19 14:15 jma File Added: OCCT_documentation_redesign.xlsx
2016-06-20 12:43 jma Assigned To bugmaster => jma
2016-06-20 12:44 jma Severity minor => feature
2016-06-20 12:44 jma Status new => assigned
2016-06-20 12:44 jma Target Version => Unscheduled
2016-06-20 12:57 abv Target Version Unscheduled => 7.1.0
2016-07-13 17:26 git Note Added: 0055888
2016-07-13 17:30 jma Status assigned => resolved
2016-07-14 16:28 abv Note Added: 0055913
2016-07-14 16:31 abv Note Edited: 0055913 View Revisions
2016-07-15 11:27 kgv Note Added: 0055932
2016-07-15 11:27 kgv Severity feature => integration request
2016-07-15 11:27 kgv Summary Redesign of information architecture => Documentation - redesign of information architecture
2016-07-15 13:33 jma Note Added: 0055936
2016-07-15 13:46 jma Note Added: 0055937
2016-07-15 13:57 abv Note Added: 0055938
2016-07-15 14:21 jma Note Added: 0055939
2016-07-15 14:29 abv Note Added: 0055940
2016-07-15 14:35 jma Note Added: 0055941
2016-07-15 14:39 kgv Note Added: 0055942
2016-07-15 14:40 kgv Note Edited: 0055942 View Revisions
2016-07-15 14:40 kgv Note Edited: 0055942 View Revisions
2016-07-15 14:41 kgv Note Edited: 0055942 View Revisions
2016-07-15 14:41 kgv Note Edited: 0055942 View Revisions
2016-07-15 14:48 jma Note Added: 0055943
2016-07-15 14:50 kgv Note Added: 0055944
2016-07-15 14:50 kgv Note Edited: 0055944 View Revisions
2016-07-15 14:53 kgv Note Added: 0055945
2016-07-15 15:00 jma Note Added: 0055946
2016-07-15 15:13 abv Note Added: 0055947
2016-07-15 15:25 jma Note Added: 0055948
2016-07-15 16:00 ssv Note Added: 0055957
2016-10-04 15:02 git Note Added: 0058398
2016-10-04 15:31 jma Note Added: 0058400
2016-10-07 18:15 jma Assigned To jma => abv
2016-10-27 11:36 git Note Added: 0059237
2016-10-27 17:11 abv Note Added: 0059286
2016-10-27 17:11 abv Assigned To abv => jma
2016-10-27 17:11 abv Status resolved => feedback
2016-11-05 17:09 git Note Added: 0059904
2016-11-05 17:18 jma Note Added: 0059905
2016-11-05 17:18 jma Assigned To jma => abv
2016-11-22 10:03 abv Note Added: 0060652
2016-11-22 10:03 abv Target Version 7.1.0 => 7.2.0
2017-08-28 19:30 abv Target Version 7.2.0 => 7.4.0
2019-09-04 13:04 abv Target Version 7.4.0 => 7.5.0
2020-08-24 11:40 bugmaster Assigned To abv => bugmaster
2020-08-24 11:43 bugmaster Assigned To bugmaster => Vera Sdobnova
2020-08-25 11:11 kgv Relationship added parent of 0031732
2020-08-31 12:09 Vera Sdobnova File Added: Documentation Project.pdf
2020-09-15 15:48 Vera Sdobnova Assigned To Vera Sdobnova => vsyrchin
2020-09-15 15:48 Vera Sdobnova Status feedback => assigned
2020-09-15 15:48 Vera Sdobnova Additional Information Updated View Revisions
2020-09-16 13:46 bugmaster Additional Information Updated View Revisions
2020-09-16 15:06 git Note Added: 0094917
2020-09-16 15:39 git Note Added: 0094926
2020-09-16 16:29 git Note Added: 0094927
2020-09-16 17:04 bugmaster Assigned To vsyrchin => aml
2020-09-16 17:04 bugmaster Note Added: 0094930
2020-09-16 17:10 kgv Note Added: 0094931
2020-09-16 18:11 git Note Added: 0094935
2020-09-22 20:09 aml Assigned To aml => Vera Sdobnova
2020-09-25 13:39 git Note Added: 0095317
2020-09-25 16:03 kgv Note Added: 0095329
2020-09-25 16:04 kgv Note Edited: 0095329 View Revisions
2020-09-25 17:19 kgv Note Edited: 0095329 View Revisions
2020-09-29 11:13 git Note Added: 0095456
2020-09-29 11:17 git Note Added: 0095457
2020-09-29 11:18 git Note Added: 0095458
2020-09-29 16:59 kgv Note Added: 0095471
2020-10-01 12:17 git Note Added: 0095518
2020-10-01 16:00 git Note Added: 0095533
2020-10-01 16:21 git Note Added: 0095534
2020-10-01 16:57 git Note Added: 0095536
2020-10-01 16:57 abv Note Added: 0095537
2020-10-01 18:06 kgv Note Added: 0095540
2020-10-01 18:53 git Note Added: 0095541
2020-10-01 19:03 abv Note Added: 0095542
2020-10-02 10:26 git Note Added: 0095552
2020-10-02 10:58 git Note Added: 0095557
2020-10-02 11:48 git Note Added: 0095565
2020-10-02 11:49 git Note Added: 0095566
2020-10-02 11:56 git Note Added: 0095567
2020-10-02 12:27 git Note Added: 0095570
2020-10-02 15:54 git Note Added: 0095585
2020-10-02 16:02 git Note Added: 0095589
2020-10-02 20:26 abv Assigned To Vera Sdobnova => abv
2020-10-02 20:26 abv Status assigned => resolved
2020-10-02 20:26 abv Steps to Reproduce Updated View Revisions
2020-10-02 20:26 abv Note Added: 0095603
2020-10-02 20:26 abv Assigned To abv => bugmaster
2020-10-02 20:26 abv Status resolved => reviewed
2020-10-02 22:44 git Note Added: 0095606
2020-10-02 22:44 git Note Added: 0095607
2020-10-03 12:58 bugmaster Test case number => Not required
2020-10-03 14:04 bugmaster Note Added: 0095636
2020-10-03 14:04 bugmaster Status reviewed => tested
2020-10-03 14:05 abv Changeset attached => occt master e6c8fcfe
2020-10-03 14:05 abv Changeset attached => occt master 0a6d9742
2020-10-03 14:05 abv Changeset attached => occt master 06ce029f
2020-10-03 14:05 abv Changeset attached => occt master 6b6d06fa
2020-10-03 14:05 abv Changeset attached => occt master 825c3a4a
2020-10-03 14:05 abv Changeset attached => occt master 5dab9b57
2020-10-03 14:05 abv Changeset attached => occt master 2d863ff7
2020-10-03 14:05 abv Assigned To bugmaster => abv
2020-10-03 14:05 abv Status tested => verified
2020-10-03 14:05 abv Resolution open => fixed
2020-10-03 14:38 git Note Added: 0095644
2020-10-03 14:38 git Note Added: 0095650
2020-10-03 14:38 git Note Added: 0095653
2020-10-03 14:38 git Note Added: 0095654
2020-10-03 14:39 git Note Added: 0095669
2020-10-03 14:40 git Note Added: 0095684


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker